%global srcname pyquery

Name:           python-%{srcname}
Version:        1.4.3
Release:        %mkrel 4
Summary:        A jquery-like library for python

Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pyquery
Source0:        https://pypi.io/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
pyquery allows you to make jquery queries on xml documents.
The API is as much as possible the similar to jquery.
pyquery uses lxml for fast xml and html manipulation.

%package -n     python3-%{srcname}
Summary:        A jquery-like library for python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{srcname}}

Requires:       python3dist(setuptools)

%description -n python3-%{srcname}
pyquery allows you to make jquery queries on xml documents.
The API is as much as possible the similar to jquery.
pyquery uses lxml for fast xml and html manipulation.
This is the Python 3 build of %{srcname}.

%prep
%setup -q -n %{srcname}-%{version}

# Remove bundled egg-info
rm -rf %{srcname}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%doc CHANGES.rst README.rst
%{python3_sitelib}/pyquery/
%{python3_sitelib}/pyquery*.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.4.3-4.mga9
+ Revision: 1822883
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 1.4.3-3.mga9
+ Revision: 1775613
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.4.3-2.mga9
+ Revision: 1732481
- Rebuild for python 3.9

* Mon Mar 01 2021 daviddavid <daviddavid> 1.4.3-1.mga9
+ Revision: 1695068
- new version: 1.4.3

* Wed Jul 22 2020 ovitters <ovitters> 1.4.1-3.mga8
+ Revision: 1608087
- rebuild for get rid of pythonegg requires

* Thu Feb 20 2020 umeabot <umeabot> 1.4.1-2.mga8
+ Revision: 1547290
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 daviddavid <daviddavid> 1.4.1-1.mga8
+ Revision: 1487824
- new version: 1.4.1

* Mon Sep 16 2019 daviddavid <daviddavid> 1.4.0-2.mga8
+ Revision: 1442345
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 1.4.0-1.mga7
+ Revision: 1353978
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.2.9-3.mga7
+ Revision: 1289795
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.2.9-2.mga7
+ Revision: 1135582
- Rebuild for python 3.6

* Fri Dec 18 2015 daviddavid <daviddavid> 1.2.9-1.mga6
+ Revision: 911554
- new version: 1.2.9
- add python 3 package
- use new python macros
- add doc files

* Wed Oct 15 2014 umeabot <umeabot> 1.2.4-7.mga5
+ Revision: 741543
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.4-6.mga5
+ Revision: 729522
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.4-5.mga5
+ Revision: 688272
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.2.4-3.mga4
+ Revision: 544059
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.4-2.mga4
+ Revision: 499266
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jul 01 2013 neoclust <neoclust> 1.2.4-1.mga4
+ Revision: 448794
- imported package python-pyquery

